<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

only_reg();
$set['title']='Моя анкета';
include_once 'sys/inc/thead.php';
title();


if (isset($_POST['save'])){
if (isset($_POST['ank_name']) && strlen2(esc(stripcslashes(htmlspecialchars($_POST['ank_name']))))<=32)
{
$user['ank_name']=esc(stripcslashes(htmlspecialchars($_POST['ank_name'])));
mysql_query("UPDATE `user` SET `ank_name` = '$user[ank_name]' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err='Имя не может быть длиннее 32 символов';

if (isset($_POST['familiya']) && strlen2(esc(stripcslashes(htmlspecialchars($_POST['familiya']))))<=32)
{
$user['familiya']=esc(stripcslashes(htmlspecialchars($_POST['familiya'])));
mysql_query("UPDATE `user` SET `familiya` = '$user[familiya]' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err='Фамилия не может быть длиннее 64 символов';


if (isset($_POST['mesto_raboty']) && strlen2(esc(stripcslashes(htmlspecialchars($_POST['mesto_raboty']))))<=64)
{
$user['mesto_raboty']=esc(stripcslashes(htmlspecialchars($_POST['mesto_raboty'])));
mysql_query("UPDATE `user` SET `mesto_raboty` = '$user[mesto_raboty]' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err='Место работы не может быть длиннее 64 символов';


if (isset($_POST['ank_d_r']) && (is_numeric($_POST['ank_d_r']) && $_POST['ank_d_r']>0 && $_POST['ank_d_r']<=31 || $_POST['ank_d_r']==NULL))
{
$user['ank_d_r']=$_POST['ank_d_r'];
if ($user['ank_d_r']==null)$user['ank_d_r']='null';
mysql_query("UPDATE `user` SET `ank_d_r` = $user[ank_d_r] WHERE `id` = '$user[id]' LIMIT 1");
if ($user['ank_d_r']=='null')$user['ank_d_r']=NULL;
}
else $err='Неверный формат дня рождения';

if (isset($_POST['ank_m_r']) && (is_numeric($_POST['ank_m_r']) && $_POST['ank_m_r']>0 && $_POST['ank_m_r']<=12 || $_POST['ank_m_r']==NULL))
{
$user['ank_m_r']=$_POST['ank_m_r'];
if ($user['ank_m_r']==null)$user['ank_m_r']='null';
mysql_query("UPDATE `user` SET `ank_m_r` = $user[ank_m_r] WHERE `id` = '$user[id]' LIMIT 1");
if ($user['ank_m_r']=='null')$user['ank_m_r']=NULL;
}
else $err='Неверный формат месяца рождения';

if (isset($_POST['ank_g_r']) && (is_numeric($_POST['ank_g_r']) && $_POST['ank_g_r']>0 && $_POST['ank_g_r']<=date('Y') || $_POST['ank_g_r']==NULL))
{
$user['ank_g_r']=$_POST['ank_g_r'];
if ($user['ank_g_r']==null)$user['ank_g_r']='null';
mysql_query("UPDATE `user` SET `ank_g_r` = $user[ank_g_r] WHERE `id` = '$user[id]' LIMIT 1");
if ($user['ank_g_r']=='null')$user['ank_g_r']=NULL;
}
else $err='Неверный формат года рождения';

if (isset($_POST['ank_city']) && strlen2(esc(stripcslashes(htmlspecialchars($_POST['ank_city']))))<=32)
{
$user['ank_city']=esc(stripcslashes(htmlspecialchars($_POST['ank_city'])));
mysql_query("UPDATE `user` SET `ank_city` = '$user[ank_city]' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err='Название города не может быть длиннее 32 символов';

if (isset($_POST['ank_icq']) && (is_numeric($_POST['ank_icq']) && strlen($_POST['ank_icq'])>=5 && strlen($_POST['ank_icq'])<=9 || $_POST['ank_icq']==NULL))
{
$user['ank_icq']=$_POST['ank_icq'];
if ($user['ank_icq']==null)$user['ank_icq']='null';
mysql_query("UPDATE `user` SET `ank_icq` = $user[ank_icq] WHERE `id` = '$user[id]' LIMIT 1");
if ($user['ank_icq']=='null')$user['ank_icq']=NULL;
}
else $err='Неверный формат ICQ';



if (isset($_POST['set_show_mail']) && $_POST['set_show_mail']==1)
{
$user['set_show_mail']=1;
mysql_query("UPDATE `user` SET `set_show_mail` = '1' WHERE `id` = '$user[id]' LIMIT 1");
}
else
{
$user['set_show_mail']=0;
mysql_query("UPDATE `user` SET `set_show_mail` = '0' WHERE `id` = '$user[id]' LIMIT 1");
}


if (isset($_POST['sem_pol']) && $_POST['sem_pol']==1)
{
$user['sem_pol']=1;
mysql_query("UPDATE `user` SET `sem_pol` = '1' WHERE `id` = '$user[id]' LIMIT 1");
}
else
{
$user['sem_pol']=2;
mysql_query("UPDATE `user` SET `sem_pol` = '2' WHERE `id` = '$user[id]' LIMIT 1");
}

if (isset($_POST['ank_n_tel']) && (is_numeric($_POST['ank_n_tel']) && strlen($_POST['ank_n_tel'])>=5 && strlen($_POST['ank_n_tel'])<=11 || $_POST['ank_n_tel']==NULL))
{
$user['ank_n_tel']=$_POST['ank_n_tel'];
mysql_query("UPDATE `user` SET `ank_n_tel` = '$user[ank_n_tel]' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err='Неверный формат номера телефона';

if (isset($_POST['ank_mail']) && (eregi('^[^@]*@[^@]*\.[^@]*$',$_POST['ank_mail']) || $_POST['ank_mail']==NULL))
{
$user['ank_mail']=esc($_POST['ank_mail']);
mysql_query("UPDATE `user` SET `ank_mail` = '$user[ank_mail]' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err='Неверный E-mail';

if (isset($_POST['ucheba']) && strlen2(esc(stripcslashes(htmlspecialchars($_POST['ucheba']))))<=100)
{
$user['ucheba']=esc(stripcslashes(htmlspecialchars($_POST['ucheba'])));
mysql_query("UPDATE `user` SET `ucheba` = '$user[ucheba]' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err='О месте учебы нужно писать меньше :)';

if (isset($_POST['ank_o_sebe']) && strlen2(esc(stripcslashes(htmlspecialchars($_POST['ank_o_sebe']))))<=512)
{
$user['ank_o_sebe']=esc(stripcslashes(htmlspecialchars($_POST['ank_o_sebe'])));
mysql_query("UPDATE `user` SET `ank_o_sebe` = '$user[ank_o_sebe]' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err='О себе нужно писать меньше :)';

if (isset($_POST['interesy']) && strlen2(esc(stripcslashes(htmlspecialchars($_POST['interesy']))))<=256)
{
$user['interesy']=esc(stripcslashes(htmlspecialchars($_POST['interesy'])));
mysql_query("UPDATE `user` SET `interesy` = '$user[interesy]' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err='О интересах нужно писать меньше :)';

if (isset($_POST['filmy']) && strlen2(esc(stripcslashes(htmlspecialchars($_POST['filmy']))))<=256)
{
$user['filmy']=esc(stripcslashes(htmlspecialchars($_POST['filmy'])));
mysql_query("UPDATE `user` SET `filmy` = '$user[filmy]' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err='О любимых фильмах нужно писать меньше :)';

if (isset($_POST['music']) && strlen2(esc(stripcslashes(htmlspecialchars($_POST['music']))))<=256)
{
$user['music']=esc(stripcslashes(htmlspecialchars($_POST['music'])));
mysql_query("UPDATE `user` SET `music` = '$user[music]' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err='О любимых музыках нужно писать меньше :)';
if (isset($_POST['ank_rost']) && strlen2(esc(stripcslashes(htmlspecialchars($_POST['ank_rost']))))<=256)
{
$user['ank_rost']=esc(stripcslashes(htmlspecialchars($_POST['ank_rost'])));
mysql_query("UPDATE `user` SET `ank_rost` = '$user[ank_rost]' WHERE `id` = '$user[id]' LIMIT 1");
}else $err='';

if (isset($_POST['ank_ves']) && strlen2(esc(stripcslashes(htmlspecialchars($_POST['ank_ves']))))<=256)
{
$user['ank_ves']=esc(stripcslashes(htmlspecialchars($_POST['ank_ves'])));
mysql_query("UPDATE `user` SET `ank_ves` = '$user[ank_ves]' WHERE `id` = '$user[id]' LIMIT 1");
}else $err='';

if (isset($_POST['ank_c_g']) && strlen2(esc(stripcslashes(htmlspecialchars($_POST['ank_c_g']))))<=256)
{
$user['ank_c_g']=esc(stripcslashes(htmlspecialchars($_POST['ank_c_g'])));
mysql_query("UPDATE `user` SET `ank_c_g` = '$user[ank_c_g]' WHERE `id` = '$user[id]' LIMIT 1");
}else $err='';

if (isset($_POST['ank_telo']) && strlen2(esc(stripcslashes(htmlspecialchars($_POST['ank_telo']))))<=256)
{
$user['ank_telo']=esc(stripcslashes(htmlspecialchars($_POST['ank_telo'])));
mysql_query("UPDATE `user` SET `ank_telo` = '$user[ank_telo]' WHERE `id` = '$user[id]' LIMIT 1");
}else $err='';

if (isset($_POST['ank_na_tele']) && strlen2(esc(stripcslashes(htmlspecialchars($_POST['ank_na_tele']))))<=256)
{
$user['ank_na_tele']=esc(stripcslashes(htmlspecialchars($_POST['ank_na_tele'])));
mysql_query("UPDATE `user` SET `ank_na_tele` = '$user[ank_na_tele]' WHERE `id` = '$user[id]' LIMIT 1");
}else $err='';

if (isset($_POST['ank_mobila']) && strlen2(esc(stripcslashes(htmlspecialchars($_POST['ank_mobila']))))<=256)
{
$user['ank_mobila']=esc(stripcslashes(htmlspecialchars($_POST['ank_mobila'])));
mysql_query("UPDATE `user` SET `ank_mobila` = '$user[ank_mobila]' WHERE `id` = '$user[id]' LIMIT 1");
}else $err='';

if (isset($_POST['ank_cel']) && strlen2(esc(stripcslashes(htmlspecialchars($_POST['ank_cel']))))<=256)
{
$user['ank_cel']=esc(stripcslashes(htmlspecialchars($_POST['ank_cel'])));
mysql_query("UPDATE `user` SET `ank_cel` = '$user[ank_cel]' WHERE `id` = '$user[id]' LIMIT 1");
}else $err='';
if (!isset($err))msg('Изменения успешно приняты');}
err();
aut();
echo "<form method='post' action='/anketa.php?'>\n";
echo "<span class=\"ank_t\">Личные данные:</span><br />\n";
echo "Имя:<br />\n<input type='text' name='ank_name' value='$user[ank_name]' maxlength='32' /><br />\n";
echo "Фамилия:<br />\n<input type='text' name='familiya' value='$user[familiya]' maxlength='64' /><br />\n";
echo "Дата рождения:<br />\n";
echo "<input type='text' name='ank_d_r' value='$user[ank_d_r]' size='2' maxlength='2' />\n";
echo "<input type='text' name='ank_m_r' value='$user[ank_m_r]' size='2' maxlength='2' />\n";
echo "<input type='text' name='ank_g_r' value='$user[ank_g_r]' size='4' maxlength='4' /><br />\n";
echo "Город:<br />\n<input type='text' name='ank_city' value='$user[ank_city]' maxlength='32' /><br />Семейное положение<br />\n"; 






if ($user['pol'] == 1){
echo '<select name="sem_pol">';
if ($user['sem_pol']==1)$sel=' selected="selected"';else $sel=NULL;
print '<option value="1"'.$sel.'>Женат</option>';
if ($user['sem_pol']==2)$sel=' selected="selected"';else $sel=NULL;
print '<option value="2"'.$sel.'>Не женат</option>

</select>
';
}else{
echo '<select name="sem_pol">';
if ($user['sem_pol']==1)$sel=' selected="selected"';else $sel=NULL;
print '
<option value="1"'.$sel.'>Замужем</option>';
if ($user['sem_pol']==2)$sel=' selected="selected"';else $sel=NULL;
print '
<option value="2"'.$sel.'>Свободная я =)</option>

</select>
';


}




echo "<br/>О себе (max 500):<br />\n<textarea name='ank_o_sebe' cols='40' rows='5'></textarea><br />\n";
echo "Рост:<br />\n<input type='text' name='ank_rost' value='$user[ank_rost]' size='4' maxlength='4' /><br />\n";
echo "Вес:<br />\n<input type='text' name='ank_ves' value='$user[ank_ves]' size='4' maxlength='4' /><br />\n";
echo "Цвет глаз:<br />\n<input type='text' name='ank_c_g' value='$user[ank_c_g]'  maxlength='20' /><br />\n";
echo "Телосложение:<br />\n<input type='text' name='ank_telo' value='$user[ank_telo]'  maxlength='20' /><br />\n";
echo "У меня на теле есть:<br />\n<input type='text' name='ank_na_tele' value='$user[ank_na_tele]'  maxlength='20' /><br />\n";
echo "Модель телефона:<br />\n<input type='text' name='ank_mobila' value='$user[ank_mobila]'  maxlength='40' /><br />\n";
echo "Цель знакомства:<br />\n<input type='text' name='ank_cel' value='$user[ank_cel]'  maxlength='60' /><br />\n";
echo "Место работы:<br />\n<input type='text' name='mesto_raboty' value='$user[mesto_raboty]' maxlength='64' /><br />\n";
echo "Место учебы:<br />\n<input type='text' name='ucheba' value='$user[ucheba]' maxlength='94' /><br />\n";
echo "Интересы:<br />\n<input type='text' name='interesy' value='$user[interesy]' maxlength='256' /><br />\n";
echo "Любимые фильмы:<br />\n<input type='text' name='filmy' value='$user[filmy]' maxlength='256' /><br />\n";
echo "Любимая музыка:<br />\n<input type='text' name='music' value='$user[music]' maxlength='256' /><br />\n";
echo "<br/><span class=\"ank_t\">Контакты:</span><br />\n";
echo "ICQ:<br />\n<input type='text' name='ank_icq' value='$user[ank_icq]' maxlength='9' /><br />\n";
echo "E-mail:<br />\n<input type='text' name='ank_mail' value='$user[ank_mail]' maxlength='32' /><br/>\n";
if ($user['set_show_mail']==1)$check=' checked="checked"';else $check=NULL;
echo "<label><input type=\"checkbox\" name=\"set_show_mail\"$check value=\"1\" /> Показывать E-mail в анкете</label><br />\n";
echo "Номер телефона:<br />\n<input type='text' name='ank_n_tel' value='$user[ank_n_tel]' maxlength='11' /><br />\n";
echo "<input type='submit' name='save' value='Сохранить' />\n";
echo "</form>\n";
echo "<div class='foot'>\n";
if(isset($_SESSION['refer']) && $_SESSION['refer']!=NULL && otkuda($_SESSION['refer']))
echo "&laquo;<a href='$_SESSION[refer]'>".otkuda($_SESSION['refer'])."</a><br />\n";
echo "</div>\n";
include_once 'sys/inc/tfoot.php';
?>